> For the complete documentation index, see [llms.txt](https://docs.intrepidcs.com/vspy-3-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.intrepidcs.com/vspy-3-documentation/vehicle-spy-tutorials/tutorial-simple-standalone-logging/part-7-extract-data.md).

# Part 7 - Extract Data

### Extract Data

The final process is to extract the data that was collected. The data can be extracted directly from the device or the SD card can be removed to allow use of an SD Card Adapter or USB reader. Data is extracted using the extract function in Vehicle Spy 3. Select **Tools > Extract / Export** to open this function (Figure 1).

![Figure 1: The SD Card Extract Application.](https://3170208387-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FL6lcovCpkhoS9uTOFtEp%2Fuploads%2Fgit-blob-a8828aca7a0949e3d80156e6c740e4804c5aa89b%2FCoreMiniExtract.png?alt=media)

Select the **Source** drive to extract from (Figure 1:![](https://cdn.intrepidcs.net/support/VehicleSpy/assets/smOne.gif)). If the drive is not shown, the **Refresh** button can be used to repopulate the list. Now select where to save the data. This is done using the **Browse** button next to the **Output** section in (Figure 1:![](https://cdn.intrepidcs.net/support/VehicleSpy/assets/smTwo.gif)). The last step is to click the **Extract All Files** button (Figure 1:![](https://cdn.intrepidcs.net/support/VehicleSpy/assets/smThree.gif)). This will take the data off of the SD card and put it into the specified directory. When finished, the extract application will launch Windows Explorer at the extracted file path. More information on using [Extract/Export can be found here](/vspy-3-documentation/vehicle-spy-main-menus/main-menu-tools/utilities-extract-export.md).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.intrepidcs.com/vspy-3-documentation/vehicle-spy-tutorials/tutorial-simple-standalone-logging/part-7-extract-data.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
